diff --git a/src/build/libroot/atomic.cpp b/src/build/libroot/atomic.cpp
index f7a7269..bbaef15 100644
--- a/src/build/libroot/atomic.cpp
+++ b/src/build/libroot/atomic.cpp
@@ -1,108 +1,109 @@
-#include <BeOSBuildCompatibility.h>
+//#include <BeOSBuildCompatibility.h>
 
-#include <string.h>
+//#include <string.h>
 
-#include <OS.h>
+//#include <OS.h>
 #include <SupportDefs.h>
 
 
-int32
-atomic_set(vint32 *value, int32 newValue)
+haiku_build_int32
+_haiku_build_atomic_set(haiku_build_vint32 *value, haiku_build_int32 newValue)
 {
-	int32 oldValue = *value;
+	haiku_build_int32 oldValue = *value;
 	*value = newValue;
 	return oldValue;
 }
 
 
-int32
-atomic_test_and_set(vint32 *value, int32 newValue, int32 testAgainst)
+haiku_build_int32
+_haiku_build_atomic_test_and_set(haiku_build_vint32 *value,
+	haiku_build_int32 newValue, haiku_build_int32 testAgainst)
 {
-	int32 oldValue = *value;
+	haiku_build_int32 oldValue = *value;
 	if (oldValue == testAgainst)
 		*value = newValue;
 	return oldValue;
 }
 
 
-int32
-atomic_add(vint32 *value, int32 addValue)
+haiku_build_int32
+_haiku_build_atomic_add(haiku_build_vint32 *value, haiku_build_int32 addValue)
 {
-	int32 oldValue = *value;
+	haiku_build_int32 oldValue = *value;
 	*value += addValue;
 	return oldValue;
 }
 
 
-int32
-atomic_and(vint32 *value, int32 andValue)
+haiku_build_int32
+_haiku_build_atomic_and(haiku_build_vint32 *value, haiku_build_int32 andValue)
 {
-	int32 oldValue = *value;
+	haiku_build_int32 oldValue = *value;
 	*value &= andValue;
 	return oldValue;
 }
 
 
-int32
-atomic_or(vint32 *value, int32 orValue)	
+haiku_build_int32
+_haiku_build_atomic_or(haiku_build_vint32 *value, haiku_build_int32 orValue)	
 {
-	int32 oldValue = *value;
+	haiku_build_int32 oldValue = *value;
 	*value |= orValue;
 	return oldValue;
 }
 
 
-int32
-atomic_get(vint32 *value)
+haiku_build_int32
+_haiku_build_atomic_get(haiku_build_vint32 *value)
 {
 	return *value;
 }
 
 
-int64
-atomic_set64(vint64 *value, int64 newValue)
+haiku_build_int64
+_haiku_build_atomic_set64(haiku_build_vint64 *value, haiku_build_int64 newValue)
 {
-	int64 oldValue = *value;
+	haiku_build_int64 oldValue = *value;
 	*value = newValue;
 	return oldValue;
 }
 
-int64
-atomic_test_and_set64(vint64 *value, int64 newValue, int64 testAgainst)
+haiku_build_int64
+_haiku_build_atomic_test_and_set64(haiku_build_vint64 *value,
+	haiku_build_int64 newValue, haiku_build_int64 testAgainst)
 {
-	int64 oldValue = *value;
+	haiku_build_int64 oldValue = *value;
 	if (oldValue == testAgainst)
 		*value = newValue;
 	return oldValue;
 }
 
-int64
-atomic_add64(vint64 *value, int64 addValue)
+haiku_build_int64
+_haiku_build_atomic_add64(haiku_build_vint64 *value, haiku_build_int64 addValue)
 {
-	int64 oldValue = *value;
+	haiku_build_int64 oldValue = *value;
 	*value += addValue;
 	return oldValue;
 }
 
-int64
-atomic_and64(vint64 *value, int64 andValue)
+haiku_build_int64
+_haiku_build_atomic_and64(haiku_build_vint64 *value, haiku_build_int64 andValue)
 {
-	int64 oldValue = *value;
+	haiku_build_int64 oldValue = *value;
 	*value &= andValue;
 	return oldValue;
 }
 
-int64
-atomic_or64(vint64 *value, int64 orValue)
+haiku_build_int64
+_haiku_build_atomic_or64(haiku_build_vint64 *value, haiku_build_int64 orValue)
 {
-	int64 oldValue = *value;
+	haiku_build_int64 oldValue = *value;
 	*value |= orValue;
 	return oldValue;
 }
 
-int64
-atomic_get64(vint64 *value)
+haiku_build_int64
+_haiku_build_atomic_get64(haiku_build_vint64 *value)
 {
 	return *value;
 }
-
diff --git a/src/build/libroot/byteorder.cpp b/src/build/libroot/byteorder.cpp
index fdcbf32..536b203 100644
--- a/src/build/libroot/byteorder.cpp
+++ b/src/build/libroot/byteorder.cpp
@@ -1,28 +1,30 @@
 
-#ifdef BUILDING_FS_SHELL
-#	include "compat.h"
-#else
-#	include <BeOSBuildCompatibility.h>
-#endif
+//#ifdef BUILDING_FS_SHELL
+//#	include "compat.h"
+//#else
+//#	include <BeOSBuildCompatibility.h>
+//#endif
 
 #include <ByteOrder.h>
 
-uint16
-__swap_int16(uint16 value)
+haiku_build_uint16
+__haiku_build_swap_int16(haiku_build_uint16 value)
 {
 	return (value >> 8) | (value << 8);
 }
 
-uint32
-__swap_int32(uint32 value)
+haiku_build_uint32
+__haiku_build_swap_int32(haiku_build_uint32 value)
 {
 	return (value >> 24) | ((value & 0xff0000) >> 8) | ((value & 0xff00) << 8)
 		| (value << 24);
 }
 
-uint64
-__swap_int64(uint64 value)
+haiku_build_uint64
+__haiku_build_swap_int64(haiku_build_uint64 value)
 {
-	return uint64(__swap_int32(uint32(value >> 32)))
-		| (uint64(__swap_int32(uint32(value))) << 32);
+	return haiku_build_uint64(__haiku_build_swap_int32(haiku_build_uint32(
+			value >> 32)))
+		| (haiku_build_uint64(
+			__haiku_build_swap_int32(haiku_build_uint32(value))) << 32);
 }
diff --git a/src/build/libroot/fs.cpp b/src/build/libroot/fs.cpp
index 5de5bfa..9377765 100644
--- a/src/build/libroot/fs.cpp
+++ b/src/build/libroot/fs.cpp
@@ -4,7 +4,7 @@
  */
 
 
-#include <BeOSBuildCompatibility.h>
+//#include <BeOSBuildCompatibility.h>
 
 #include "fs_impl.h"
 
@@ -13,6 +13,7 @@
 #include <fcntl.h>
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 #include <unistd.h>
 #include <utime.h>
 #include <sys/stat.h>
diff --git a/src/build/libroot/fs_attr_generic.cpp b/src/build/libroot/fs_attr_generic.cpp
index c43875b..3db1968 100644
--- a/src/build/libroot/fs_attr_generic.cpp
+++ b/src/build/libroot/fs_attr_generic.cpp
@@ -1,5 +1,5 @@
 
-#include <BeOSBuildCompatibility.h>
+//#include <BeOSBuildCompatibility.h>
 #include <syscalls.h>
 
 #include <dirent.h>
diff --git a/src/build/libroot/fs_attr_untyped.cpp b/src/build/libroot/fs_attr_untyped.cpp
index 02ea2af..e47b30c 100644
--- a/src/build/libroot/fs_attr_untyped.cpp
+++ b/src/build/libroot/fs_attr_untyped.cpp
@@ -17,7 +17,7 @@
 #	define B_ENTRY_NOT_FOUND	ENOENT
 #	define B_NO_MEMORY			ENOMEM
 #else
-#	include <BeOSBuildCompatibility.h>
+//#	include <BeOSBuildCompatibility.h>
 #	include <syscalls.h>
 
 #	include "fs_impl.h"
diff --git a/src/build/libroot/fs_descriptors.cpp b/src/build/libroot/fs_descriptors.cpp
index 68103e3..06ba480 100644
--- a/src/build/libroot/fs_descriptors.cpp
+++ b/src/build/libroot/fs_descriptors.cpp
@@ -9,7 +9,7 @@
 #	define B_OK			0
 #	define B_FILE_ERROR	EBADF
 #else
-#	include <BeOSBuildCompatibility.h>
+//#	include <BeOSBuildCompatibility.h>
 #endif
 
 #include "fs_descriptors.h"
diff --git a/src/build/libroot/misc.cpp b/src/build/libroot/misc.cpp
index 7fae5be..fbfccba 100644
--- a/src/build/libroot/misc.cpp
+++ b/src/build/libroot/misc.cpp
@@ -1,5 +1,5 @@
 
-#include <BeOSBuildCompatibility.h>
+//#include <BeOSBuildCompatibility.h>
 
 #include <errno.h>
 #include <stdio.h>
diff --git a/src/build/libroot/sem.cpp b/src/build/libroot/sem.cpp
index 0e2d0c9..1a9116b 100644
--- a/src/build/libroot/sem.cpp
+++ b/src/build/libroot/sem.cpp
@@ -1,5 +1,5 @@
 
-#include <BeOSBuildCompatibility.h>
+//#include <BeOSBuildCompatibility.h>
 
 #include <stdlib.h>
 #include <string.h>
diff --git a/src/build/libroot/thread.cpp b/src/build/libroot/thread.cpp
index 7998694..438a541 100644
--- a/src/build/libroot/thread.cpp
+++ b/src/build/libroot/thread.cpp
@@ -1,5 +1,5 @@
 
-#include <BeOSBuildCompatibility.h>
+//#include <BeOSBuildCompatibility.h>
 
 #include <OS.h>
 
